Bug 493036 - fsck failure causes text-mode rhgb to hang
fsck failure causes text-mode rhgb to hang
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-31 08:17 EDT by Bevis King
Modified: 2009-12-18 04:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 04:09:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bevis King 2009-03-31 08:17:22 EDT
Description of problem:
If the boot time fsck fails on a Fedora 10 box running rhgb in text mode - three shades of blue progress bars - no message is issued and there is apparently no way to get to the messages to provide the root password, etc and perform a rescue.
Normal console switch <ALT><CTRL><F1> etc fails to give access to text mode console.

Version-Release number of selected component (if applicable):
fully updated system - kernel-

How reproducible:
Every time

Steps to Reproduce:
1.  Include a filesystem that will cause a fsck failure in /etc/fstab
2.  Reboot system on box which does not support rhgb in graphics mode
3.  System will hang and never boot.
Actual results:
Machine is running but completely unresponsive.

Expected results:
Either off-lines faulty device and boots anyway or provides text mode prompt for file system repair proceedure.

Additional info:
System is an Intel D945LCFG2 Atom 330 motherboard.
Comment 1 Bug Zapper 2009-11-18 06:39:08 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Bug Zapper 2009-12-18 04:09:50 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.